import {
  getAccountActions
} from "./chunk-7NSYK4C3.mjs";
import {
  getCartActions
} from "./chunk-4IDNW6YQ.mjs";
import {
  getProductActions
} from "./chunk-SDNUL4BW.mjs";
import {
  getProjectActions
} from "./chunk-E7WC64ZT.mjs";
import {
  getWishlistActions
} from "./chunk-2W2SLH6S.mjs";

// src/library/Extension.ts
import { Extension } from "@commercetools/frontend-sdk";
var ComposableCommerce = class extends Extension {
  constructor(sdk) {
    super(sdk);
    this.project = getProjectActions(sdk);
    this.product = getProductActions(sdk);
    this.cart = getCartActions(sdk);
    this.wishlist = getWishlistActions(sdk);
    this.account = getAccountActions(sdk);
  }
  unregisterExtension() {
  }
  project;
  product;
  cart;
  wishlist;
  account;
};

export {
  ComposableCommerce
};
//# sourceMappingURL=chunk-NJSMMWH4.mjs.map