import { SDK } from '@commercetools/frontend-sdk';
import { GetProjectSettingsAction } from '../../types/actions/ProjectActions.js';
import { ComposableCommerceEvents } from '../../types/types.js';
import '@commercetools/frontend-domain-types/ProjectSettings';

type ProjectActions = {
    getSettings: GetProjectSettingsAction;
};
declare const getProjectActions: (sdk: SDK<ComposableCommerceEvents>) => ProjectActions;

export { ProjectActions, getProjectActions };
